#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# SPDX-FileCopyrightText: 2018-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

"""
FOR TESTING PURPOSES ONLY!

Module and object specific for "users/ldap" UDM module.
"""


from .generic import GenericModule, GenericObject, GenericObjectProperties


class UsersLdapObjectProperties(GenericObjectProperties):
    """users/ldap UDM properties."""


class UsersLdapObject(GenericObject):
    """Better representation of users/ldap properties."""

    udm_prop_class = UsersLdapObjectProperties


class UsersLdapModule(GenericModule):
    """UsersLdapObject factory"""

    _udm_object_class = UsersLdapObject

    class Meta:
        supported_api_versions = [0]
        suitable_for = ['users/ldap']
